Subject: Re: [PATCH] Add support for host aliases in config files

From: Jakub Narebski <[email-masked]>
Date: Fri, 25 Jan 2008 10:52:27 -0800 (PST)

Daniel Barkalow <[email-masked]> writes:

> This allows users with different preferences for access methods to the
> same remote repositories to rewrite each other's URLs to get the
> desired access.

[...]
> +host.<name>.base::
> +	The base URL which should be used for this particular
> +	host. This can be used by a user who has a better access
> +	method to a repository than other users to make use of the
> +	preferable path despite getting URLs from other users using
> +	more commonly-available methods. Alternatively, a user who
> +	only has less privileged access to a repository than the usual
> +	audience can use this mechanism to replace disallowed methods
> +	with public ones.
> +
> +host.<name>.alias::
> +	Additional base URLs which refer to this host. If a URL
> +	matches this, any access to it will use the URL formed with
> +	the corresponding base URL instead of the given URL.
> +

>>From this I could not get how those configuration are meant to be
used. Perhaps some usage example?

BTW. wouldn't the same be solved better by enabling remote.<name>.url
to be multi-valued, first working for fetch, all URLs for push?

-- 
Jakub Narebski
Poland
ShadeHawk on #git